The desktop-legacy interface

desktop-legacy allows privileged access to desktop legacy methods.

Auto-connect: yes
Transitional: yes

Requires snap version 2.28+.

See The desktop interfaces for further details.

Condition to Connect:

  • If your snap has a graphical interface, you should connect to this interface.
  • If your snap is expected to receive text input from CJKV(Chinese, Japanese, Korean, Vietnamese etc.) users, you must connect to this interface, failing to do so will cause frustration to these users.

Compatibility Information:

This is a snap interface. See Interface management and Supported interfaces for further details on how interfaces are used.

Last updated a month ago. Help improve this document in the forum.